[schema-doc~git-repo:29388110] new grizzly update script
- From: cheeser@kenai.com
- To: commits@schema-doc.kenai.com
- Subject: [schema-doc~git-repo:29388110] new grizzly update script
- Date: Tue, 13 Sep 2011 14:28:20 +0000
Project: schema-doc
Repository: git-repo
Revision: 29388110066997daf51c57a12fdf597727fdf9c7
Author: cheeser
Date: 2011-09-13 14:28:12 UTC
Link:
Log Message:
------------
new grizzly update script
Revisions:
----------
29388110066997daf51c57a12fdf597727fdf9c7
Added Paths:
------------
grizzly-update.sh
Diffs:
------
diff --git a/grizzly-update.sh b/grizzly-update.sh
new file mode 100755
index 0000000..d2ab521
--- /dev/null
+++ b/grizzly-update.sh
@@ -0,0 +1,26 @@
+#! /bin/sh
+NEWVER=$1
+
+if [ -z "${NEWVER}" ]
+then
+ echo Please specify the new version as a parameter
+ exit
+fi
+
+asadmin stop-domain
+for i in grizzly-*
+do
+ DEP=${i/.jar/}
+ if [ -f
~/.m2/repository/com/sun/grizzly/${DEP}/${NEWVER}/${DEP}-${NEWVER}.jar ]
+ then
+ cp
~/.m2/repository/com/sun/grizzly/${DEP}/${NEWVER}/${DEP}-${NEWVER}.jar .
+ else
+ wget
http://download.java.net/maven/glassfish/com/sun/grizzly/${DEP}/${NEWVER}/${DEP}-${NEWVER}.jar
+ fi
+ [ $? -eq 0 ] && mv -v ${DEP}-${NEWVER}.jar $i
+done
+
+rm -r ../domains/domain1/osgi-cache/felix/
+
+#asadmin start-domain
+echo You can start GlassFish with ${NEWVER} now.
|
[schema-doc~git-repo:29388110] new grizzly update script |
cheeser | 09/13/2011 |





